# Jovian Hersemeule

def integral(f, a=0, b=1, n=100):
    """
    Calcule l'intégrale de a à b avec la méthodes des triangles.
    :param f: La fonction à intégrer.
    :param a: La borne inférieure.
    :param b: La borne supérieure.
    :param n: Nombre de pas.
    :return: La valeur numérique de l'intégrale.
    """
    print("Calcul de l'intégrale de ", a, " à ", b)

    # Préparation
    somme = 0
    pas = (b - a) / n
    x1 = a
    x2 = a

    # Calcul
    for k in range(n - 1):
        x1 = x2
        x2 = x1 + pas

        somme += f(x1) * pas
        somme += (f(x2) - f(x1)) * pas / 2

    # Fin
    return somme


print("END")
